Bug 195431 - Typo error in qucs.spec "changelog" section
Typo error in qucs.spec "changelog" section
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: qucs (Show other bugs)
5
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Eric Tanguy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-15 02:24 EDT by Chien-Chung Yeh
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-15 13:00:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chien-Chung Yeh 2006-06-15 02:24:39 EDT
Description of problem:
Execute command: "rpm -q --changelog qucs" with mussy changelog output.

Version-Release number of selected component (if applicable):
qucs-0.0.9-3.fc5

How reproducible:
Always.

Steps to Reproduce:
1. $ rpm -q --changelog qucs
2.
3.
  
Actual results:
* Sat Jun 10 18:00:00 2006 Eric Tanguy <eric{*}tanguy{%}univ-nantes{*}fr> - 
0.0.9-3 
- Delete /usr/bin/qucsdigi.bat which is a windows bat file and useless under linux
- add --disable-dependency-tracking to 
  
CFLAGS="${CFLAGS:--O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables}" ; 
export CFLAGS ; 
  
CXXFLAGS="${CXXFLAGS:--O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables}" ; 
export CXXFLAGS ; 
  
FFLAGS="${FFLAGS:--O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables}" ; 
export FFLAGS ; 
  for i in $(find . -name config.guess -o -name config.sub) ; do 
           [ -f /usr/lib/rpm/redhat/$(basename $i) ] && /bin/rm -f $i 
&& /bin/cp -fv /usr/lib/rpm/redhat/$(basename $i) $i ; 
  done ; 
  ./configure --build=i686-redhat-linux-gnu --host=i686-redhat-linux-gnu \
        --target=i386-redhat-linux-gnu \
        --program-prefix= \
        --prefix=/usr \
        --exec-prefix=/usr \
        --bindir=/usr/bin \
        --sbindir=/usr/sbin \
        --sysconfdir=/etc \
        --datadir=/usr/share \
        --includedir=/usr/include \
        --libdir=/usr/lib \
        --libexecdir=/usr/libexec \
        --localstatedir=/var \
        --sharedstatedir=/usr/com \
        --mandir=/usr/share/man \
        --infodir=/usr/share/info
- add --enable-debug to 
  
CFLAGS="${CFLAGS:--O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables}" ; 
export CFLAGS ; 
  
CXXFLAGS="${CXXFLAGS:--O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables}" ; 
export CXXFLAGS ; 
  
FFLAGS="${FFLAGS:--O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables}" ; 
export FFLAGS ; 
  for i in $(find . -name config.guess -o -name config.sub) ; do 
           [ -f /usr/lib/rpm/redhat/$(basename $i) ] && /bin/rm -f $i 
&& /bin/cp -fv /usr/lib/rpm/redhat/$(basename $i) $i ; 
  done ; 
  ./configure --build=i686-redhat-linux-gnu --host=i686-redhat-linux-gnu \
        --target=i386-redhat-linux-gnu \
        --program-prefix= \
        --prefix=/usr \
        --exec-prefix=/usr \
        --bindir=/usr/bin \
        --sbindir=/usr/sbin \
        --sysconfdir=/etc \
        --datadir=/usr/share \
        --includedir=/usr/include \
        --libdir=/usr/lib \
        --libexecdir=/usr/libexec \
        --localstatedir=/var \
        --sharedstatedir=/usr/com \
        --mandir=/usr/share/man \
        --infodir=/usr/share/info to make debuginfo package usefull

* Thu Jun 1 18:00:00 2006 Eric Tanguy <eric{*}tanguy{%}univ-nantes{*}fr> - 
0.0.9-2 
- Delete ${RPM_OPT_FLAGS} modification using -ffriend-injection for "%{?fedora}" 
> "4"
....


Expected results:
* Sat Jun 10 18:00:00 2006 Eric Tanguy <eric{*}tanguy{%}univ-nantes{*}fr> - 
0.0.9-3 
- Delete /usr/bin/qucsdigi.bat which is a windows bat file and useless under linux
- add --disable-dependency-tracking to %configure
- add --enable-debug to %configure to make debuginfo package usefull

* Thu Jun 1 18:00:00 2006 Eric Tanguy <eric{*}tanguy{%}univ-nantes{*}fr> - 
0.0.9-2 
- Delete ${RPM_OPT_FLAGS} modification using -ffriend-injection for "%{?fedora}" 
> "4"
....


Additional info:
It should be solved by the folowing patch:

--- qucs.spec.00        2006-06-14 01:06:22.000000000 +0800
+++ qucs.spec   2006-06-15 14:29:09.000000000 +0800
@@ -54,8 +54,8 @@ rm -rf $RPM_BUILD_ROOT
 %changelog
 * Sat Jun 10 2006 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 0.0.9-3
 - Delete %{_bindir}/qucsdigi.bat which is a windows bat file and useless under linux
-- add --disable-dependency-tracking to %configure
-- add --enable-debug to %configure to make debuginfo package usefull
+- add --disable-dependency-tracking to %%configure
+- add --enable-debug to %%configure to make debuginfo package usefull

Note You need to log in before you can comment on or make changes to this bug.